API Docs
AbsenceAbsence Additional ContingentAbsence ContingentAccountAccountingAccounting ContactAdded ValueAsset AccountAttachmentAttendanceAuthBank AccountCatalogCommissionContactCraftCredit InvoiceCreditorCustom FilterCustom ReportCustomerCustomFieldDashboardDebitorEmailEmployment ContractEstimateFinanceFinance JournalFinance Journal PositionsFinDocCategoryFollowupForecastGeneral InfoHolidayIntegrationsInvoiceJobJob TasksLogin MethodMeMetricsOffice LocationOrder ConfirmationOrganisationPaymentPersonProcedureProcedure ViewPurchase InvoicePurchase OrderReportResource PlanningSnippetTargetTeamTemplateTimeUserUser CraftUser GroupUser Group ActionsUser Group UsersWorkPattern
/finance/purchase_order
Create a new purchase order
Create a new purchase order
Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json
Request
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| purchase_order | app.PurchaseOrder | Yes | a new purchase order |
Parameter Models
Inspect object parameters and nested model references without loading the full Swagger file in the browser.
purchase_orderBody parameterapp.PurchaseOrder
address_id
integer
No description.
created_at
integer
No description.
date_delivery
integer
No description.
date_document
integer
No description.
date_inspection
integer
No description.
delivery_address
string
No description.
document_type_label
string
No description.
expense_type
string
No description.
foot_note
string
No description.
gross_total
number
No description.
head_note
string
No description.
hide_group_totals
boolean
No description.
hide_groups
boolean
No description.
hide_position_amount_and_unit
boolean
No description.
hide_position_group_header
boolean
No description.
hide_position_totals
boolean
No description.
hide_position_value_per_unit
boolean
No description.
hide_positions
boolean
No description.
id
integer
No description.
identification_code
string
No description.
job_id
integer
No description.
lang
string
No description.
modified_at
integer
No description.
name
string
No description.
net_total
number
No description.
organisation_id
integer
No description.
page_break_before_foot_note
boolean
No description.
page_break_before_head_note
boolean
No description.
person_id
integer
No description.
purchaser_address
string
No description.
recipient_addr1
string
No description.
recipient_addr2
string
No description.
recipient_address
string
No description.
recipient_city
string
No description.
recipient_email
string
No description.
recipient_organisation_name
string
No description.
recipient_person_first_name
string
No description.
recipient_person_last_name
string
No description.
recipient_zip
string
No description.
stationary_id
integer
No description.
tab_left
string
No description.
tab_right
string
No description.
token
string
No description.
user_id
integer
No description.
cURL
curl -X POST 'https://<tenant>.dieagenturverwaltung.de/api/v2/finance/purchase_order' \
-H 'Accept: application/json' \
-H 'Authorization: Session Token' \
-H 'Content-Type: application/json' \
--data-raw '{
"address": {},
"address_id": 123,
"audit_logs": [
{}
],
"created_at": 123,
"custom_fields": [
{}
],
"date_delivery": 123,
"date_document": 123,
"date_inspection": 123,
"delivery_address": "string",
"document_type_label": "string",
"expense_type": "string",
"external_services": [
{}
],
"foot_note": "string",
"gross_total": 123.45,
"head_note": "string",
"hide_group_totals": true,
"hide_groups": true,
"hide_position_amount_and_unit": true,
"hide_position_group_header": true,
"hide_position_totals": true,
"hide_position_value_per_unit": true,
"hide_positions": true,
"id": 123,
"identification_code": "string",
"job": {},
"job_id": 123,
"lang": "string",
"modified_at": 123,
"name": "string",
"net_total": 123.45,
"organisation": {},
"organisation_id": 123,
"page_break_before_foot_note": true,
"page_break_before_head_note": true,
"person": {},
"person_id": 123,
"positions": [
{}
],
"purchase_invoices": [
{}
],
"purchaser_address": "string",
"recipient_addr1": "string",
"recipient_addr2": "string",
"recipient_address": "string",
"recipient_city": "string",
"recipient_country_code": "AF",
"recipient_email": "string",
"recipient_organisation_name": "string",
"recipient_person_first_name": "string",
"recipient_person_last_name": "string",
"recipient_zip": "string",
"small_job": {},
"small_user": {},
"stationary": {},
"stationary_id": 123,
"status": "DRAFT",
"subscribed_users": [
{}
],
"tab_left": "string",
"tab_right": "string",
"token": "string",
"user": {},
"user_id": 123
}'Request Body (application/json)
{
"address": {...},
"address_id": 123,
"audit_logs": [
{...}
],
"created_at": 123,
"custom_fields": [
{...}
],
"date_delivery": 123,
"date_document": 123,
"date_inspection": 123,
"delivery_address": "string",
"document_type_label": "string",
"expense_type": "string",
"external_services": [
{...}
],
"foot_note": "string",
"gross_total": 123.45,
"head_note": "string",
"hide_group_totals": true,
"hide_groups": true,
"hide_position_amount_and_unit": true,
"hide_position_group_header": true,
"hide_position_totals": true,
"hide_position_value_per_unit": true,
"hide_positions": true,
"id": 123,
"identification_code": "string",
"job": {...},
"job_id": 123,
"lang": "string",
"modified_at": 123,
"name": "string",
"net_total": 123.45,
"organisation": {...},
"organisation_id": 123,
"page_break_before_foot_note": true,
"page_break_before_head_note": true,
"person": {...},
"person_id": 123,
"positions": [
{...}
],
"purchase_invoices": [
{...}
],
"purchaser_address": "string",
"recipient_addr1": "string",
"recipient_addr2": "string",
"recipient_address": "string",
"recipient_city": "string",
"recipient_country_code": "AF",
"recipient_email": "string",
"recipient_organisation_name": "string",
"recipient_person_first_name": "string",
"recipient_person_last_name": "string",
"recipient_zip": "string",
"small_job": {...},
"small_user": {...},
"stationary": {...},
"stationary_id": 123,
"status": "DRAFT",
"subscribed_users": [
{...}
],
"tab_left": "string",
"tab_right": "string",
"token": "string",
"user": {...},
"user_id": 123
}Responses
200OK
app.PurchaseOrderapplication/json
Example
{
"address": {...},
"address_id": 123,
"audit_logs": [
{...}
],
"created_at": 123,
"custom_fields": [
{...}
],
"date_delivery": 123,
"date_document": 123,
"date_inspection": 123,
"delivery_address": "string",
"document_type_label": "string",
"expense_type": "string",
"external_services": [
{...}
],
"foot_note": "string",
"gross_total": 123.45,
"head_note": "string",
"hide_group_totals": true,
"hide_groups": true,
"hide_position_amount_and_unit": true,
"hide_position_group_header": true,
"hide_position_totals": true,
"hide_position_value_per_unit": true,
"hide_positions": true,
"id": 123,
"identification_code": "string",
"job": {...},
"job_id": 123,
"lang": "string",
"modified_at": 123,
"name": "string",
"net_total": 123.45,
"organisation": {...},
"organisation_id": 123,
"page_break_before_foot_note": true,
"page_break_before_head_note": true,
"person": {...},
"person_id": 123,
"positions": [
{...}
],
"purchase_invoices": [
{...}
],
"purchaser_address": "string",
"recipient_addr1": "string",
"recipient_addr2": "string",
"recipient_address": "string",
"recipient_city": "string",
"recipient_country_code": "AF",
"recipient_email": "string",
"recipient_organisation_name": "string",
"recipient_person_first_name": "string",
"recipient_person_last_name": "string",
"recipient_zip": "string",
"small_job": {...},
"small_user": {...},
"stationary": {...},
"stationary_id": 123,
"status": "DRAFT",
"subscribed_users": [
{...}
],
"tab_left": "string",
"tab_right": "string",
"token": "string",
"user": {...},
"user_id": 123
}400Bad Request
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}404Not Found
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}500Internal Server Error
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}